# class RSS::Maker::RSS20::Items::Item

### Private Instance Methods

not_set_required_variables() click to toggle source
Calls superclass method `RSS::Maker::RSS09::Items::Item#not_set_required_variables`

    # File lib/rss/maker/2.0.rb, line 100
    def not_set_required_variables
      vars = super
      if !title {|t| t.have_required_values?} and
          !description {|d| d.have_required_values?}
        vars << "title or description"
      end
      vars
    end

required_variable_names() click to toggle source

    # File lib/rss/maker/2.0.rb, line 96
    def required_variable_names
      []
    end

variables() click to toggle source
Calls superclass method

    # File lib/rss/maker/2.0.rb, line 109
    def variables
      super + ["pubDate"]
    end